/**
  ******************************************************************************
  * @file           : IS11_INST.h
  * @author         : xin
  * @brief          : None
  * @attention      : None
  * @date           : 2024/8/14
  ******************************************************************************
  */

//
// Created by xin on 2024/8/14.
//

#ifndef IS11LIB_IS11_INST_H
#define IS11LIB_IS11_INST_H
#include "comon.h"
#ifdef __cplusplus
extern "C"   {
#endif


__declspec(dllexport) int IS11SensorInit();
 __declspec(dllexport)  void Set_Serial_FUN(SERIALWRITE writefunc,SERIALWRITE readfunc);
__declspec(dllexport) STRsensorinfo_C Get_SensorInfo();
__declspec(dllexport) int IS11OptSnenser(int percent);
__declspec(dllexport) int IS11GetData(uint16_t *outdata,int shuttertime);

#ifdef __cplusplus
}
#endif


#endif //IS11LIB_IS11_INST_H
